| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.SPI Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SPI:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SelectInput (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| input
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Channel Systems - SPI
    System ID: 0x48 through 0x4f

    +----------------+------+-------------+----------+--------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range  | Default | Comment                               |
    +================+======+=============+==========+========+=========+=======================================+
    | input          | 0x01 | uint 32-bit | None     | 0 to 5 | 0       | For both channel. See registers table |
    +----------------+------+-------------+----------+--------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.SPI.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoKummenberg.registers.InputStage.SPI.help | ( |  | ) |
| static

## ◆ SelectInput()

def optoKummenberg.registers.InputStage.SPI.SelectInput | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ input

optoKummenberg.registers.InputStage.SPI.input

## ◆ name

optoKummenberg.registers.InputStage.SPI.name

## ◆ sys_id

optoKummenberg.registers.InputStage.SPI.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputStage.py